Bug 1629628 - Default F29 Wallpaper is Solid Black on XFCE/ARM
Summary: Default F29 Wallpaper is Solid Black on XFCE/ARM
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: f29-backgrounds
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Luya Tshimbalanga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: RejectedBlocker AcceptedFreezeException
Depends On:
Blocks: F29BetaFreezeException
TreeView+ depends on / blocked
 
Reported: 2018-09-17 08:32 UTC by František Zatloukal
Modified: 2019-11-27 19:29 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 19:29:01 UTC
Type: Bug


Attachments (Terms of Use)

Description František Zatloukal 2018-09-17 08:32:08 UTC
Description of problem:
Default wallpaper for newly created user on Fedora-Xfce-armhfp-29_Beta-1.3-sda.raw.xz is Solid Black.

Version-Release number of selected component (if applicable):
f29-backgrounds-base-29.0.0-3.fc29.noarch

How reproducible:
Always

Actual results:
Solid Black wallpaper is the default.

Expected results:
Default wallpaper should be the same as is in F29 Workstation

Additional info:
Tested on rpi2.

Comment 1 Fedora Blocker Bugs Application 2018-09-17 09:02:22 UTC
Proposed as a Blocker for 29-beta by Fedora user frantisekz using the blocker tracking app because:

 The default desktop background must be different from that of the last two stable releases.

This technically doesn't violate the criteria, as solid black is in fact different than the default desktop wallpaper in F27 and F28.

Comment 2 Stephen Gallagher 2018-09-17 15:25:32 UTC
(In reply to Fedora Blocker Bugs Application from comment #1)
> Proposed as a Blocker for 29-beta by Fedora user frantisekz using the
> blocker tracking app because:
> 
>  The default desktop background must be different from that of the last two
> stable releases.
> 
> This technically doesn't violate the criteria, as solid black is in fact
> different than the default desktop wallpaper in F27 and F28.

I'm going to vote -1 blocker pretty much on the above technicality, but this *is* ugly and I'd be willing to accept a fix as a Freeze Exception if we end up spinning another release candidate.

Comment 3 Adam Williamson 2018-09-17 15:38:26 UTC
Yeah, -1, the criterion is written that way for a reason. It's not "the right background should be there" but "the background shouldn't confuse anyone about this being a stable release". Solid black sure doesn't do that. :P

+1 FE. Srsly why are we so bad at this backgrounds are not rocket science

Comment 4 Geoffrey Marr 2018-09-17 19:59:14 UTC
Discussed during the 2018-09-17 blocker review meeting: [1]

The decision to classify this bug as a "RejectedBlocker" and an "AcceptedFreezeException" was made as the black background does not violate the blocker criteria as it is a different background than the F28 release, however we understand that this is incorrect and accept the bug on a freeze exception status.

[1] https://meetbot.fedoraproject.org/fedora-blocker-review/2018-09-17/f29-blocker-review.2018-09-17-16.02.txt

Comment 5 Luya Tshimbalanga 2018-09-18 03:26:38 UTC
(In reply to František Zatloukal from comment #0)
> Description of problem:
> Default wallpaper for newly created user on
> Fedora-Xfce-armhfp-29_Beta-1.3-sda.raw.xz is Solid Black.
> 
> Version-Release number of selected component (if applicable):
> f29-backgrounds-base-29.0.0-3.fc29.noarch
> 
> How reproducible:
> Always
> 
> Actual results:
> Solid Black wallpaper is the default.

Did the XFCE path like "/usr/share/xfce4/backdrops" change? If so, would you provide the new path so I can update the tarball? Thanks.

Comment 6 Luya Tshimbalanga 2018-09-18 03:29:05 UTC
Further details, the default on f28-background for XFCE is set as "/usr/share/xfce4/backdrops/f29.png".

Comment 7 Adam Williamson 2018-09-18 03:41:47 UTC
Luya: it doesn't seem to be something straightforward - the Xfce live shows the right background for me, and pwhalen said in the meeting it's working for him too. So it seems it's somehow specific to Frantisek's setup. pwhalen and frantisek are going to try and figure out what's going on.

Comment 8 Luya Tshimbalanga 2018-09-18 06:18:58 UTC
Adam: thanks for the input. I am dropping the needinfo request based on that details. Should the report be assigned to xcfe related settings in armhfp architecture?

Comment 9 Adam Williamson 2018-09-18 15:33:04 UTC
I don't even know if it's just arm vs. x86_64, as pwhalen was testing on ARM also. Maybe just leave it here for now until we have some idea what happened? :)

Comment 10 Luya Tshimbalanga 2018-09-19 15:59:02 UTC
Sure for now.

Comment 11 Ben Cotton 2019-10-31 20:41:43 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Ben Cotton 2019-11-27 19:29:01 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.